Latest news 2021-06-05: New blog post: Dickimaw Books Site Account.

glossaries package FAQ

I get an error when using a fragile command in my glossary entry 🔗

As from version 4.0, use \glssetnoexpandfield to suppress expansion for a particular field. For older versions, use \protect. See also Why must I protect fragile commands in the name key when the documentation says the name key is sanitized? (Pre version 4.0). Remember that the new \makenoidxglossaries method of creating glossaries makes the default sanitizesort option false so you may need to set the sort key manually if the name contains a fragile command.

2020-07-01 10:59:36


Permalink: https://www.dickimaw-books.com/faq.php?id=1
Alternative link: https://www.dickimaw-books.com/faq.php?itemlabel=glsfragileerror

Category: glossaries package
Topic: (La)TeX Errors